API call 8
| Provider | hubspot |
| Call | GET /hubspot/crm/v3/properties/contacts |
| Status | 200 |
| Subject | hubspot:portal:4242001 |
| When | 2026-11-11 11:22:35Z (0 ms) |
Request headers
| Accept-Encoding | gzip |
|---|
| Authorization | Bearer …c691 |
|---|
| User-Agent | Go-http-client/1.1 |
|---|
Request body
Response body
{
"results": [
{
"name": "hs_object_id",
"label": "Record ID",
"type": "number",
"fieldType": "number",
"groupName": "contactinformation",
"description": "The unique ID for this record. This value is set automatically by HubSpot.",
"options": [],
"hubspotDefined": true,
"displayOrder": -1,
"hidden": false,
"formField": false,
"calculated": false
},
{
"name": "createdate",
"label": "Create Date",
"type": "datetime",
"fieldType": "date",
"groupName": "contactinformation",
"description": "The date and time at which this record was created.",
"options": [],
"hubspotDefined": true,
"displayOrder": -1,
"hidden": false,
"formField": false,
"calculated": false
},
{
"name": "lastmodifieddate",
"label": "Last Modified Date",
"type": "datetime",
"fieldType": "date",
"groupName": "contactinformation",
"description": "Most recent timestamp of any property update for this record.",
"options": [],
"hubspotDefined": true,
"displayOrder": -1,
"hidden": false,
"formField": false,
"calculated": false
},
{
"name": "firstname",
"label": "First Name",
"type": "string",
"fieldType": "text",
"groupName": "contactinformation",
"description": "A contact's first name.",
"options": [],
"hubspotDefined": true,
"displayOrder": -1,
"hidden": false,
"formField": false,
"calculated": false
},
{
"name": "lastname",
"label": "Last Name",
"type": "string",
"fieldType": "text",
"groupName": "contactinformation",
"description": "A contact's last name.",
"options": [],
"hubspotDefined": true,
"displayOrder": -1,
"hidden": false,
"formField": false,
"calculated": false
},
{
"name": "email",
"label": "Email",
"type": "string",
"fieldType": "text",
"groupName": "contactinformation",
"description": "A contact's email address.",
"options": [],
"hubspotDefined": true,
"displayOrder": -1,
"hidden": false,
"formField": false,
"calculated": false
},
{
"name": "company",
"label": "Company Name",
"type": "string",
"fieldType": "text",
"groupName": "contactinformation",
"description": "Name of the contact's company. This can be set independently from the name property on the contact's associated company.",
"options": [],
"hubspotDefined": true,
"displayOrder": -1,
"hidden": false,
"formField": false,
"calculated": false
},
{
"name": "jobtitle",
"label": "Job Title",
"type": "string",
"fieldType": "text",
"groupName": "contactinformation",
"description": "A contact's job title.",
"options": [],
"hubspotDefined": true,
"displayOrder": -1,
"hidden": false,
"formField": false,
"calculated": false
},
{
"name": "phone",
"label": "Phone Number",
"type": "string",
"fieldType": "phonenumber",
"groupName": "contactinformation",
"description": "A contact's primary phone number.",
"options": [],
"hubspotDefined": true,
"displayOrder": -1,
"hidden": false,
"formField": false,
"calculated": false
},
{
"name": "mobilephone",
"label": "Mobile Phone Number",
"type": "string",
"fieldType": "phonenumber",
"groupName": "contactinformation",
"description": "A contact's mobile phone number.",
"options": [],
"hubspotDefined": true,
"displayOrder": -1,
"hidden": false,
"formField": false,
"calculated": false
},
{
"name": "address",
"label": "Street Address",
"type": "string",
"fieldType": "text",
"groupName": "contactinformation",
"description": "A contact's street address, including unit number.",
"options": [],
"hubspotDefined": true,
"displayOrder": -1,
"hidden": false,
"formField": false,
"calculated": false
},
{
"name": "city",
"label": "City",
"type": "string",
"fieldType": "text",
"groupName": "contactinformation",
"description": "A contact's city of residence.",
"options": [],
"hubspotDefined": true,
"displayOrder": -1,
"hidden": false,
"formField": false,
"calculated": false
},
{
"name": "zip",
"label": "Postal Code",
"type": "string",
"fieldType": "text",
"groupName": "contactinformation",
"description": "The contact's postal code.",
"options": [],
"hubspotDefined": true,
"displayOrder": -1,
"hidden": false,
"formField": false,
"calculated": false
},
{
"name": "country",
"label": "Country/Region",
"type": "string",
"fieldType": "text",
"groupName": "contactinformation",
"description": "The contact's country/region of residence.",
"options": [],
"hubspotDefined": true,
"displayOrder": -1,
"hidden": false,
"formField": false,
"calculated": false
},
{
"name": "date_of_birth",
"label": "Date of birth",
"type": "date",
"fieldType": "date",
"groupName": "contactinformation",
"description": "The contact's date of birth, as midnight UTC.",
"options": [],
"hubspotDefined": true,
"displayOrder": -1,
"hidden": false,
"formField": false,
"calculated": false
},
{
"name": "hs_content_membership_notes",
"label": "Membership Notes",
"type": "string",
"fieldType": "textarea",
"groupName": "contactinformation",
"description": "Notes about the contact's membership.",
"options": [],
"hubspotDefined": true,
"displayOrder": -1,
"hidden": false,
"formField": false,
"calculated": false
},
{
"name": "interests",
"label": "Interests",
"type": "enumeration",
"fieldType": "checkbox",
"groupName": "contactinformation",
"description": "Selected interests, separated by semicolons.",
"options": [
{
"label": "contracts",
"value": "contracts",
"displayOrder": 0,
"hidden": false
},
{
"label": "signing",
"value": "signing",
"displayOrder": 1,
"hidden": false
},
{
"label": "billing",
"value": "billing",
"displayOrder": 2,
"hidden": false
}
],
"hubspotDefined": true,
"displayOrder": -1,
"hidden": false,
"formField": false,
"calculated": false
}
]
}
JSON